Subject: bug#65558: 30.0.50; project-other-{window,frame,tab}-command a bit too obtrusive

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Aug 2023 19:50:53 +0300

> Thanks for the pointer! That is a long thread so I only skimmed it. I
> think you meant this snippet in [0]:
>
>> (defun project-other-window-command ()
>>   (interactive)
>>   (other-window-prefix)
>>   (set-transient-map (make-composed-keymap project-prefix-map
>>                                            project-other-window-map)))

Exactly.  And the same for the frame command in the most recent patch
I posted to bug#63648, and I confirm that your bug report is fixed with it.

> That indeed fixes the issue. My only concern is that
> `other-window-prefix' is a new function introduced in Emacs 28.

Indeed, it would take more efforts to provide backward-compatibility
for older Emacs versions.